 SUBROUTINE user_data_output_dvrp( output_variable, local_pf )

!------------------------------------------------------------------------------!
! Current revisions:
! -----------------
! Output of messages replaced by message handling routine.
! Clipping implemented
!
! Former revisions:
! -----------------
! $Id: user_data_output_dvrp.f90 258 2009-03-13 12:36:03Z heinze $
!
! 211 2008-11-11 04:46:24Z raasch
! Former file user_interface.f90 split into one file per subroutine
!
! Description:
! ------------
! Execution of user-defined dvrp output
!------------------------------------------------------------------------------!

    USE control_parameters
    USE dvrp_variables
    USE indices
    USE pegrid
    USE user

    IMPLICIT NONE

    CHARACTER (LEN=*) ::  output_variable

    INTEGER ::  i, j, k

    REAL, DIMENSION(nxl_dvrp:nxr_dvrp+1,nys_dvrp:nyn_dvrp+1,nzb:nz_do3d) ::  &
                                                                       local_pf

!
!-- Here the user-defined DVRP output follows:

!
!-- Move original array to intermediate array
    SELECT CASE ( output_variable )

!       CASE ( 'u2', 'u2_xy', 'u2_xz', 'u2_yz'  )
!!
!!--       Here the user can add user_defined output quantities. 
!!--       Uncomment and extend the following lines, if necessary.
!          DO  i = nxl_dvrp, nxr_dvrp+1
!             DO  j = nys_dvrp, nyn_dvrp+1
!                DO  k = nzb, nz_do3d
!                   local_pf(i,j,k) = u2(k,j,i)
!                ENDDO
!             ENDDO
!          ENDDO


       CASE DEFAULT
!
!--       The DEFAULT case is reached if output_variable contains a
!--       wrong character string that is neither recognized in data_output_dvrp
!--       nor here in user_data_output_dvrp.
          WRITE( message_string, * ) 'no output possible for: ', &
                                     output_variable
          CALL message( 'user_data_output_dvrp', 'UI0003', 0, 0, 0, 6, 0 )
          

    END SELECT


 END SUBROUTINE user_data_output_dvrp

